name: flutter_custom_toolbox
description: "Flutter custom toolbox for org.benoitharrault.* projects."

publish_to: "none"

version: 0.3.0

homepage: https://git.harrault.fr/android/flutter-toolbox

environment:
  sdk: ^3.5.3
  flutter: ">=1.17.0"

dependencies:
  flutter:
    sdk: flutter

  # base
  auto_size_text: ^3.0.0
  easy_localization: ^3.0.1
  equatable: ^2.0.5
  flutter_bloc: ^8.1.1
  hive: ^2.2.3
  hydrated_bloc: ^9.0.0
  package_info_plus: ^8.0.0
  path_provider: ^2.0.11
  unicons: ^3.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0

flutter:
  uses-material-design: true

  fonts:
    - family: Nunito
      fonts:
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Bold.ttf
          weight: 700
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Medium.ttf
          weight: 500
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Regular.ttf
          weight: 400
        - asset: packages/flutter_custom_toolbox/fonts/Nunito-Light.ttf
          weight: 300
